picard.util

## Class QuerySortedReadPairIteratorUtil

- java.lang.Object
- - picard.util.QuerySortedReadPairIteratorUtil

-     public class QuerySortedReadPairIteratorUtil
      extends Object

  A collection of helper utilities for iterating through reads that are in query-name sorted read order as pairs

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QuerySortedReadPairIteratorUtil.ReadPair`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuerySortedReadPairIteratorUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QuerySortedReadPairIteratorUtil.ReadPair` | `getNextReadPair(htsjdk.samtools.util.PeekableIterator<htsjdk.samtools.SAMRecord> iterator)` Get the next read pair (where both have the same read name).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuerySortedReadPairIteratorUtil

          public QuerySortedReadPairIteratorUtil()

  - ### Method Detail

    - #### getNextReadPair

          public static QuerySortedReadPairIteratorUtil.ReadPair getNextReadPair(htsjdk.samtools.util.PeekableIterator<htsjdk.samtools.SAMRecord> iterator)

      Get the next read pair (where both have the same read name). If we encounter an unpaired read, the second read in the pair will be set to null.
      Parameters:
        `iterator` - iterator of reads
      Returns:
        ReadPair object holding the reads, or null if there are no more reads in the iterator